---
title: background-blend-mode
slug: Web/CSS/background-blend-mode
tags:
  - CSS
  - CSS Property
  - Compositing and Blending
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>background-blend-mode</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets how an element's background images should blend with each other and with the element's background color.</p>

<div>{{EmbedInteractiveExample("pages/css/background-blend-mode.html")}}</div>

<p>Blending modes should be defined in the same order as the {{cssxref("background-image")}} property. If the blending modes' and background images' list lengths are not equal, it will be repeated and/or truncated until lengths match.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* One value */
background-blend-mode: normal;

/* Two values, one per background */
background-blend-mode: darken, luminosity;

/* Global values */
background-blend-mode: initial;
background-blend-mode: inherit;
background-blend-mode: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
	<dt>{{cssxref("&lt;blend-mode&gt;")}}</dt>
	<dd>The blending mode to be applied. There can be several values, separated by commas.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<pre class="brush: css notranslate">.item {
    width: 300px;
    height: 300px;
    background: url('image1.png'),url('image2.png');
    background-blend-mode: screen;
}</pre>

<h3 id="Try_out_different_blend_modes">Try out different blend modes</h3>

<pre class="brush: html hidden notranslate">&lt;div id="div"&gt;&lt;/div&gt;
&lt;select id="select"&gt;
    &lt;option&gt;normal&lt;/option&gt;
    &lt;option&gt;multiply&lt;/option&gt;
    &lt;option selected&gt;screen&lt;/option&gt;
    &lt;option&gt;overlay&lt;/option&gt;
    &lt;option&gt;darken&lt;/option&gt;
    &lt;option&gt;lighten&lt;/option&gt;
    &lt;option&gt;color-dodge&lt;/option&gt;
    &lt;option&gt;color-burn&lt;/option&gt;
    &lt;option&gt;hard-light&lt;/option&gt;
    &lt;option&gt;soft-light&lt;/option&gt;
    &lt;option&gt;difference&lt;/option&gt;
    &lt;option&gt;exclusion&lt;/option&gt;
    &lt;option&gt;hue&lt;/option&gt;
    &lt;option&gt;saturation&lt;/option&gt;
    &lt;option&gt;color&lt;/option&gt;
    &lt;option&gt;luminosity&lt;/option&gt;
&lt;/select&gt;</pre>

<pre class="brush: css hidden notranslate">#div {
    width: 300px;
    height: 300px;
    background: url('https://mdn.mozillademos.org/files/8543/br.png'),url('https://mdn.mozillademos.org/files/8545/tr.png');
    background-blend-mode: screen;
}</pre>

<pre class="brush: js hidden notranslate">document.getElementById("select").onchange = function(event) {
    document.getElementById("div").style.backgroundBlendMode = document.getElementById("select").selectedOptions[0].innerHTML;
}
console.log(document.getElementById('div'));</pre>

<p>{{ EmbedLiveSample('Examples', "330", "330") }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('Compositing', '#background-blend-mode', 'background-blend-mode') }}</td>
			<td>{{ Spec2('Compositing') }}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.background-blend-mode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{cssxref("&lt;blend-mode&gt;")}}</li>
	<li>{{cssxref("mix-blend-mode")}}</li>
</ul>
